Bug 850356 - Introduce new systemd-rpm macros in uwsgi spec file
Introduce new systemd-rpm macros in uwsgi spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: uwsgi (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jorge A Gallegos
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:14 EDT by Lukáš Nykrýn
Modified: 2012-11-05 01:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-05 01:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:14:59 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-09-15 14:39:04 EDT
uwsgi-1.2.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/uwsgi-1.2.6-2.fc18
Comment 2 Fedora Update System 2012-09-16 15:17:32 EDT
Package uwsgi-1.2.6-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing uwsgi-1.2.6-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14006/uwsgi-1.2.6-2.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.